Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Class ContextManager.TestManagerDialog

    java.lang.Object
      com.sun.javatest.tool.ToolDialog
          com.sun.javatest.exec.ContextManager.TestManagerDialog

Enclosing class:
  ContextManager

    public abstract static class ContextManager.TestManagerDialog

extends ToolDialog

Special class for creating dialogs which should be attached to the context of this test manager. It is important to use this class to assure proper component parenting, and because the system will properly track your dialogs if the user changes the desktop style (switching to internal frames interface for example).

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.tool.ToolDialog
`ToolDialog.Restorer`

Field Summary

Fields inherited from class com.sun.javatest.tool.ToolDialog
`DIALOG, FRAME, FREE, MODAL, MODAL_APPLICATION, MODAL_DOCUMENT, MODAL_TOOLKIT, parent, tool, uif`

Constructor Summary
`ContextManager.TestManagerDialog(ContextManager context, UIFactory uif, java.lang.String key)`

Method Summary

Methods inherited from class com.sun.javatest.tool.ToolDialog
`disableDefaultDisposeHandler, dispose, getBody, getButtons, getDefaultButton, getDialogParent, getJMenuBar, getLocation, getRestorer, getSize, getTitle, getTool, initGUI, isShowing, isVisible, pack, setBody, setButtons, setComponentListener, setDefaultCloseOperation, setHelp, setI18NTitle, setI18NTitle, setI18NTitle, setJMenuBar, setLocation, setLocation, setRestorer, setSize, setSize, setTool, setTool, setVisible, windowClosingAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextManager.TestManagerDialog

    public ContextManager.TestManagerDialog(ContextManager context,
                                            UIFactory uif,
                                            java.lang.String key)

Parameters:
  `context` - The context object associated with this dialog, this parameter is required so that the proper parenting can be calculated.
  `uif` - The interface factory associated with this dialog.
  `key` - Resource key to be used when retrieving items from the uif.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.